/*/////////////////////////////////////////////////
//LINE風チャット画面(会話方式)を記事に表示する方法
/////////////////////////////////////////////////*/

.line__container {
  padding:0;
  background: #7494c0;
  overflow: hidden;
  max-width: 400px;
  margin:auto;
  margin-top: 0px ;
  margin-bottom: 5px ;
  font-size: 80%;
  text-align:center;

}


/* タイトル部分 */
.line__container .line__family {
  background: #ffffff;
  padding-top: 10px;
  padding-bottom: 8px;
  text-align: left;
  font-size: 110%;

}

/* タイトル部分 */
.line__container .line__title {
  background: #273246;
  padding: 3px;
  text-align: center;
  font-size: 130%;
  color: #ffffff;
}

/* 会話部分 */
.line__container .line__contents {
  padding: 10px;
  overflow: hidden;
  line-height: 135%;
}

.line__container .scroll {
  height: 200px;
  overflow-y: scroll;
}

/* スタンプ画像最大幅 */
.line__container .stamp img {
  max-width:150px;
}

/* 相手の会話 */
.line__container .line__left {
    width: 100%;
    position: relative;
    display: block;
    margin-bottom: 15px;
    max-width: 77%;
    clear: both;
}

/* アイコン画像 */
.line__container .line__left figure {
    width: 30px;
    height: 30px;
    position: absolute;
    top: 5px;
    left: 0;
    padding: 0;
    margin: 0;
    text-align:center;

}

/* 正方形を用意 */
.line__container .line__left figure img{
    border-radius: 30%;
    width: 30px;
    height: 30px;
}

.line__container .line__left .line__left-text {
  margin-left: 50px;
  text-align:left;
}

.line__container .line__left .line__left-text .lineName {
  font-size: 80%;
  color: #ffffff;
  text-align:right;
  margin-right:20px;
}

/* コメントエリア */
.line__container .line__left .lineText {
  margin: 0;
  position: relative;
  padding: 10px;
  border-radius: 20px;
  background-color: #ffffff;
}

/* 吹き出し */
.line__container .line__left .lineText::after {
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  left: -10px;
  top: 10px;
  border-right: 20px solid #ffffff;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
}

/* 自分の会話 */
.line__container .line__right {
    position: relative;
    display: block;
    margin: 5px 0;
    max-width: 100%;
    float: right;
    margin-right: 15px;
    margin-bottom: 15px;
    clear: both;
}

/* コメントエリア */
.line__container .line__right .lineText {
  padding: 10px;
  border-radius: 20px;
  background-color: #8de055;
  margin: 0;
  margin-left: 80px;
  text-align:left;
}

/* 吹き出し */
.line__container .line__right .lineText::after {
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  right: -10px;
  top: 10px;
  border-left: 20px solid #8de055;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
}

/* 自分がスタンプを送る時 */
.line__container .line__right .stamp {
  position: relative;
  margin-left: 80px;
}

/* 既読エリア */
.line__container .line__right .lineDate {
  content: '';
  position: absolute;
  display: block;
  width: 100px;
  text-align: right;
  left: -30px;
  bottom: 0px;
  font-size: 80%;
  color: #ffffff;
  line-height:12px;
  padding-bottom:0px;
}

/* 既読エリア */
.line__container .line__left-text .lineDate {
  content: '';
  position: absolute;
  display: block;
  width: 100px;
  text-align: left;
  left: 103%;
  bottom: 0px;
  font-size: 80%;
  color: #ffffff;
  line-height:12px;
  padding-bottom:0px;
}

/* 自分の会話 */
.line__container .line__space {
    position: relative;
    display: block;
    margin-top: 5px 0;
    max-width: 100%;
    clear: both;
}
